Library Version 11.2.5.3

DbSequence::stat_print()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::stat_print()

    #include <db_cxx>

    int
    DbSequence::stat_print(u_int32_t flags);

The `DbSequence::stat_print()` method prints diagnostic information to the output channel described by the DbEnv::set_msgfile() method.

The `DbSequence::stat_print()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flags

The flags parameter must be set by bitwise inclusively OR'ing together one or more of the following values:

- `DB_STAT_CLEAR`

  Reset statistics after printing their values.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::stat() | Home | Chapter 13. The DbTxn Handle